<?php
/*---------------------------------------------------------------*/
/*
    Titre : Déplace le pointeur de lignes                                                                                
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1042
    Date dition     : 16 Fv 2019                                                                                        
    Date mise  jour : 18 Sept 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    function fseeks($fp , $nb){
     // si $nb est négatif, on compte les lignes depuis la fin 
      if (!is_integer($nb)){ 
      // $nb est un entier! 
      return FALSE; 
      } 
      
      // tout cela ne fonctionne qu'avec un fichier ouvert 
      if(!is_resource($fp)){ 
      return FALSE; 
      } 
      // pas une socket ou un processus 
      if (get_resource_type($fp) != 'file'){ 
      return FALSE; 
      } 
      
      if(!rewind($fp)){ 
      return FALSE; 
      } 
      
      if ($nb == 0){ 
      return TRUE; 
      } 
      
      if ($nb < 0){ 
      $total = fcount($fp); 
      while( $nb < 0) { 
      $nb += $total; 
       } 
      } 
      
      // Un très grand nombre pour être sur de lire toute une ligne 
      for($i=0; $i< $nb - 1, !feof($fp), fgets($fp, 1024*1024*10); $i++){ 
      // rien a faire du tout 
      } 
      return ($i == $nb - 1); 
    }
?>
